Fetch a knowledge base
curl --request GET \
--url https://api.vectorshift.ai/v1/knowledge-base \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vectorshift.ai/v1/knowledge-base"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vectorshift.ai/v1/knowledge-base', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": {}
}{
"status": "failed",
"error": "<string>"
}{}{
"status": "failed",
"error": "<string>"
}{
"status": "failed",
"error": "<string>"
}Knowledge Bases
Fetch an existing knowledge base
GET
/
knowledge-base
Fetch a knowledge base
Authorizations
Bearer token authentication using API key
Query Parameters
Knowledge base ID. Either id or name must be provided
Name of the knowledge base. Either id or name must be provided
Optional username for name-based search. Only valid when using name parameter
Optional organization name for name-based search. Only valid when using name parameter
⌘I
